# CDR Records

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/cdrs/download/csv>
{% endhint %}

Get a list of all of your numbers on your account

| Argument     | Required    | Type                       |
| ------------ | ----------- | -------------------------- |
| startdate    | yes         | 04/04/2024                 |
| enddate      | yes         | 04/06/2024                 |
| record\_type | calls / sms | Send sms to get sms record |
| key          | yes         | your token/key             |

{% tabs %}
{% tab title="Curl Post" %}

```javascript
curl https://v1.api19.com/cdrs/download/csv \
 -d 'startdate=04/04/2024' \
 -d 'enddate=04/06/2024' \
 -d 'record_type=calls' \
 -d 'key=api_token'
 
May also use record_type=sms for sms records
```

{% endtab %}

{% tab title="Curl Get" %}

```
curl https://v1.api19.com/cdrs/download/csv?key=apikey&startdate=04/04/2024&enddate=04/05/2024
```

{% endtab %}

{% tab title="Calls Response" %}

```
date,your_cost,your_permin,submaster_id,user_id,submaster_cost,user_cost,submaster_permin,user_permin,billsec,src,dst,did,call_type
```

{% endtab %}

{% tab title="SMS Response" %}

```
date,your_cost,surcharge,src,dst,message,direction,alpha,msg_type,uuid
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/my-inventory/cdr-records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
